#!/bin/bash

# So o usuario root pode rodar o script
if [[ $EUID -ne 0 ]]; then
   echo "==========================================="
   echo "ATENCAO:"
   echo "Esse script precisa ser executado como root" 1>&2
   echo "==========================================="
   echo 
   exit 1
fi

echo verificando a existencia do systemd
RESULT=`ps -p 1 -o comm=`

if [ "$RESULT" == "systemd" ];then

	echo parando e desabilitando o serviço
	systemctl stop cco-ser.service
	systemctl disable cco-ser.service
	
	rm -f /lib/systemd/system/cco-ser.service

elif [ "$RESULT" == "init" ];then
	echo parando o serviço
	/etc/init.d/cco-ser stop
	rm -f /etc/init.d/cco-ser
	rm -f /etc/rc2.d/S80cco-ser
else
	echo nenhum servico de inicializacao compativel
fi


# ------------------------------------

echo apagando arquivos 
rm -rf /opt/sefaz/cco
rm -rf /opt/sefaz/drs

echo removendo config serial
rm /etc/udev/rules.d/80-ttyS-sefaz.rules

echo finaliza Monitor
killall -9 Monitor






