#!/bin/bash

#echo logando superusuário
#su

# So o usuario root pode rodar o script
if [[ $EUID -ne 0 ]]; then
   echo "==========================================="
   echo "ATENCAO:"
   echo "Esse script precisa ser executado como root" 1>&2
   echo "==========================================="
   echo 
   exit 1
fi

#L1=`lsb_release -i | egrep '(SUSE)'`
#L2=`lsb_release -r | egrep '(12.1)'`
#L3=`lsb_release -r | egrep '(12.3)'`
#L4=`lsb_release -r | egrep '(13.2)'`

#lsb_release -a
#echo L1=$L1=
#echo L2=$L2=
#echo L3=$L3=
#echo L4=$L4=

#if [ "$L1" != "" ] && ([ "$L2" != "" ] || [ "$L3" != "" ] || [ "$L4" != "" ]); then
#   echo VERSAO LINUX OK
#else
#   echo "===================================================="
#   echo "ATENCAO:"
#   echo "Esse script não foi testado com essa versão de Linux" 1>&2
#   lsb_release -i
#   lsb_release -r
#   echo "===================================================="
#   exit 1
#fi


#exit 1
echo Instalação Driver      MFE 02.03.46
echo Instalação Monitor     MFE 02.03.01.021
echo Instalação Comunicador MFE 02.03.01.039
echo Instalação Biblioteca  MFE 02.03.01.031
echo criando diretorios
mkdir /opt
mkdir /opt/sefaz
mkdir /opt/sefaz/cco
mkdir /opt/sefaz/drs
mkdir /opt/sefaz/cco/bin
mkdir /opt/sefaz/cco/bin/platforms
mkdir /opt/sefaz/cco/lib

echo copiando arquivos
cp ./cco/cco-ser.ini /opt/sefaz/cco/bin
cp ./cco/Comunicador  /opt/sefaz/cco/bin
cp ./cco/Monitor  /opt/sefaz/cco/bin
cp ./cco/cco-mon.desktop  /etc/xdg/autostart
cp ./cco/runcco-ser.sh  /opt/sefaz/cco/bin
cp ./cco/runcco-mon.sh  /opt/sefaz/cco/bin
cp ./remove_cco.sh  /opt/sefaz/cco

cp ./platforms/*.* /opt/sefaz/cco/bin/platforms
cp ./libs/*.* /opt/sefaz/cco/lib
cp ./drs/*.* /opt/sefaz/drs

#chmod 777 /opt/sefaz/cco/bin/runcco-mon.sh
#chmod 777 /opt/sefaz/cco/bin/runcco-ser.sh
#chmod 777 /opt/sefaz/cco/bin/MFE-MON
#chmod 777 /opt/sefaz/cco/bin/MFE-COM

echo configurando seriais
cp ./cco/80-ttyS-sefaz.rules /etc/udev/rules.d

#echo configurando diretorio
#cp ./cco.sh /etc/profile.d

echo verificando a existencia do systemd
RESULT=`ps -p 1 -o comm=`

if [ "$RESULT" == "systemd" ];then

	echo systemd encontrado	
	echo configurando serviço de comunicacao
	cp ./cco/cco-ser.service /lib/systemd/system

	echo habilitando servico
	systemctl enable cco-ser.service

	echo iniciando servico
	systemctl start cco-ser.service

	echo status do servico
	systemctl status cco-ser.service
	
	/opt/sefaz/cco/bin/runcco-mon.sh 

elif [ "$RESULT" == "init" ];then
	echo configurando serviço de comunicacao
	cp ./cco/cco-ser /etc/init.d/
	cd /etc/rc2.d
	ln -sf /etc/init.d/cco-ser S80cco-ser
	
	echo iniciando servico
	/etc/init.d/cco-ser start
else
	echo nenhum servico de inicializacao compativel
fi

echo É NECESSÁRIO REINICIAR O SISTEMA PARA AS CONFIGURAÇÕES FAZEREM EFEITO

#echo monitorando log
#tail -f /var/log/messages | grep cco-ser

